# -*- coding: utf-8 -*-

# Copyright 2020 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

from .resources import (
    Account,
    Property,
    AndroidAppDataStream,
    IosAppDataStream,
    WebDataStream,
    UserLink,
    AuditUserLink,
    EnhancedMeasurementSettings,
    FirebaseLink,
    GlobalSiteTag,
    GoogleAdsLink,
    DataSharingSettings,
)
from .analytics_admin import (
    GetAccountRequest,
    ListAccountsRequest,
    ListAccountsResponse,
    DeleteAccountRequest,
    UpdateAccountRequest,
    ProvisionAccountTicketRequest,
    ProvisionAccountTicketResponse,
    GetPropertyRequest,
    ListPropertiesRequest,
    ListPropertiesResponse,
    UpdatePropertyRequest,
    CreatePropertyRequest,
    DeletePropertyRequest,
    GetUserLinkRequest,
    BatchGetUserLinksRequest,
    BatchGetUserLinksResponse,
    ListUserLinksRequest,
    ListUserLinksResponse,
    AuditUserLinksRequest,
    AuditUserLinksResponse,
    CreateUserLinkRequest,
    BatchCreateUserLinksRequest,
    BatchCreateUserLinksResponse,
    UpdateUserLinkRequest,
    BatchUpdateUserLinksRequest,
    BatchUpdateUserLinksResponse,
    DeleteUserLinkRequest,
    BatchDeleteUserLinksRequest,
    GetWebDataStreamRequest,
    DeleteWebDataStreamRequest,
    UpdateWebDataStreamRequest,
    CreateWebDataStreamRequest,
    ListWebDataStreamsRequest,
    ListWebDataStreamsResponse,
    GetIosAppDataStreamRequest,
    DeleteIosAppDataStreamRequest,
    UpdateIosAppDataStreamRequest,
    CreateIosAppDataStreamRequest,
    ListIosAppDataStreamsRequest,
    ListIosAppDataStreamsResponse,
    GetAndroidAppDataStreamRequest,
    DeleteAndroidAppDataStreamRequest,
    UpdateAndroidAppDataStreamRequest,
    CreateAndroidAppDataStreamRequest,
    ListAndroidAppDataStreamsRequest,
    ListAndroidAppDataStreamsResponse,
    GetEnhancedMeasurementSettingsRequest,
    UpdateEnhancedMeasurementSettingsRequest,
    CreateFirebaseLinkRequest,
    UpdateFirebaseLinkRequest,
    DeleteFirebaseLinkRequest,
    ListFirebaseLinksRequest,
    ListFirebaseLinksResponse,
    GetGlobalSiteTagRequest,
    CreateGoogleAdsLinkRequest,
    UpdateGoogleAdsLinkRequest,
    DeleteGoogleAdsLinkRequest,
    ListGoogleAdsLinksRequest,
    ListGoogleAdsLinksResponse,
    GetDataSharingSettingsRequest,
)


__all__ = (
    "Account",
    "Property",
    "AndroidAppDataStream",
    "IosAppDataStream",
    "WebDataStream",
    "UserLink",
    "AuditUserLink",
    "EnhancedMeasurementSettings",
    "FirebaseLink",
    "GlobalSiteTag",
    "GoogleAdsLink",
    "DataSharingSettings",
    "GetAccountRequest",
    "ListAccountsRequest",
    "ListAccountsResponse",
    "DeleteAccountRequest",
    "UpdateAccountRequest",
    "ProvisionAccountTicketRequest",
    "ProvisionAccountTicketResponse",
    "GetPropertyRequest",
    "ListPropertiesRequest",
    "ListPropertiesResponse",
    "UpdatePropertyRequest",
    "CreatePropertyRequest",
    "DeletePropertyRequest",
    "GetUserLinkRequest",
    "BatchGetUserLinksRequest",
    "BatchGetUserLinksResponse",
    "ListUserLinksRequest",
    "ListUserLinksResponse",
    "AuditUserLinksRequest",
    "AuditUserLinksResponse",
    "CreateUserLinkRequest",
    "BatchCreateUserLinksRequest",
    "BatchCreateUserLinksResponse",
    "UpdateUserLinkRequest",
    "BatchUpdateUserLinksRequest",
    "BatchUpdateUserLinksResponse",
    "DeleteUserLinkRequest",
    "BatchDeleteUserLinksRequest",
    "GetWebDataStreamRequest",
    "DeleteWebDataStreamRequest",
    "UpdateWebDataStreamRequest",
    "CreateWebDataStreamRequest",
    "ListWebDataStreamsRequest",
    "ListWebDataStreamsResponse",
    "GetIosAppDataStreamRequest",
    "DeleteIosAppDataStreamRequest",
    "UpdateIosAppDataStreamRequest",
    "CreateIosAppDataStreamRequest",
    "ListIosAppDataStreamsRequest",
    "ListIosAppDataStreamsResponse",
    "GetAndroidAppDataStreamRequest",
    "DeleteAndroidAppDataStreamRequest",
    "UpdateAndroidAppDataStreamRequest",
    "CreateAndroidAppDataStreamRequest",
    "ListAndroidAppDataStreamsRequest",
    "ListAndroidAppDataStreamsResponse",
    "GetEnhancedMeasurementSettingsRequest",
    "UpdateEnhancedMeasurementSettingsRequest",
    "CreateFirebaseLinkRequest",
    "UpdateFirebaseLinkRequest",
    "DeleteFirebaseLinkRequest",
    "ListFirebaseLinksRequest",
    "ListFirebaseLinksResponse",
    "GetGlobalSiteTagRequest",
    "CreateGoogleAdsLinkRequest",
    "UpdateGoogleAdsLinkRequest",
    "DeleteGoogleAdsLinkRequest",
    "ListGoogleAdsLinksRequest",
    "ListGoogleAdsLinksResponse",
    "GetDataSharingSettingsRequest",
)
